summaryrefslogtreecommitdiffstats
path: root/taskcluster/scripts/misc/build-gn-linux.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
commit2aa4a82499d4becd2284cdb482213d541b8804dd (patch)
treeb80bf8bf13c3766139fbacc530efd0dd9d54394c /taskcluster/scripts/misc/build-gn-linux.sh
parentInitial commit. (diff)
downloadfirefox-2aa4a82499d4becd2284cdb482213d541b8804dd.tar.xz
firefox-2aa4a82499d4becd2284cdb482213d541b8804dd.zip
Adding upstream version 86.0.1.upstream/86.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'taskcluster/scripts/misc/build-gn-linux.sh')
-rwxr-xr-xtaskcluster/scripts/misc/build-gn-linux.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/taskcluster/scripts/misc/build-gn-linux.sh b/taskcluster/scripts/misc/build-gn-linux.sh
new file mode 100755
index 0000000000..578b8a8984
--- /dev/null
+++ b/taskcluster/scripts/misc/build-gn-linux.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e -v
+
+# This script is for building GN on Linux.
+
+WORKSPACE=$HOME/workspace
+COMPRESS_EXT=xz
+export CC=$MOZ_FETCHES_DIR/gcc/bin/gcc
+export CXX=$MOZ_FETCHES_DIR/gcc/bin/g++
+export LDFLAGS=-lrt
+
+# Gn build scripts use #!/usr/bin/env python, which will be python 2.6 on
+# the worker and cause failures. Work around this by putting python2.7
+# ahead of it in PATH.
+mkdir -p $WORKSPACE/python_bin
+ln -s /usr/bin/python2.7 $WORKSPACE/python_bin/python
+export PATH=$WORKSPACE/python_bin:$PATH
+
+cd $GECKO_PATH
+
+. taskcluster/scripts/misc/build-gn-common.sh